<div class="container" *ngIf="resetPasswordToken">
  <ng-container *ngIf="!isErrorToken">
    <ng-container *ngIf="!isPasswordReset; else resetPasswordSucceeded">
      <h1 class="fr-h4">
        Choisir un nouveau mot de passe
      </h1>
      <form [formGroup]="resetPasswordForm" (ngSubmit)="submitForm()">
        <dsfr-password
          label="Nouveau mot de passe"
          name="password"
          id="password"
          formControlName="password"
          type="signup"
          [params]="passwordSignUpParams"
          (passwordStatusUpdated)="passwordStatus = $event">
        </dsfr-password>
        <dsfr-input
          style="display: none"
          label="honey"
          name="honey"
          id="honey"
          formControlName="honey">
        </dsfr-input>
        <dsfr-button
          label="Réinitialiser le mot de passe"
          [htmlType]="buttonTypes.SUBMIT"
          [disabled]="!resetPasswordForm.valid || passwordStatus !== 'VALID'">
        </dsfr-button>
      </form>
    </ng-container>
    <ng-template #resetPasswordSucceeded>
      <div class="alert-reset">
        <dsfr-alert [type]="alertTypes.SUCCESS" [hasCloseButton]="false">
          La création de votre nouveau mot de passe est terminé.
          Vous pouvez maintenant vous connecter à la plateforme.
        </dsfr-alert>
        <a
          class="link-as-btn"
          routerLink="/connexion">
            Se connecter
        </a>
      </div>
    </ng-template>
  </ng-container>
  <dsfr-alert
    *ngIf="isErrorToken"
    [type]="alertTypes.ERROR"
    [hasCloseButton]="false">
    {{ errorMessage }}
  </dsfr-alert>
</div>
